aagc.vo

## Class PianoAssistenzialeResidenzialeResponse

- java.lang.Object
- - aagc.vo.PianoAssistenzialeResidenzialeResponse

-     public class PianoAssistenzialeResidenzialeResponse
      extends java.lang.Object

  Classe Java per pianoAssistenzialeResidenzialeResponse complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="pianoAssistenzialeResidenzialeResponse">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="idPAI">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]+"/>
                     <maxLength value="9"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataAutorizzazione" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="descrizioneNote" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <maxLength value="250"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceProvenienza" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]*"/>
                     <maxLength value="2"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="telefonoCaseManager" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[a-zA-Z0-9]*"/>
                     <maxLength value="30"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="descrizioneCaseManager" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[a-zA-Z]*"/>
                     <maxLength value="80"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="descrizioneCPS" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[a-zA-Z]*"/>
                     <maxLength value="80"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="telefonoCPS" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[a-zA-Z0-9]*"/>
                     <maxLength value="30"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataInizio" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataFine" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceTipoPrestazione" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[a-zA-Z0-9]*"/>
                     <maxLength value="3"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="nucleo" type="{www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/}nucleoAutorizzatoResponse"/>
               <element name="elencoResponsabiliPAI">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="responsabilePAI" type="{www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/}responsabileResponse" maxOccurs="unbounded"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="elencoValidataPAI">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="validita" type="{www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/}validitaPAIResponse" maxOccurs="unbounded"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="elencoDettaglioPAI">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="dettagliopai" type="{www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/}dettaglioPAIResponse" maxOccurs="unbounded"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="elencoMaterialiPAI">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="materialepai" type="{www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/}materialeAusilioPAIResponse" maxOccurs="unbounded"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="elencoUlterioriInterventiPAI">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="ulterioreintervento" type="{www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/}ulterioreInterventoPAIResponse" maxOccurs="unbounded"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PianoAssistenzialeResidenzialeResponse.ElencoDettaglioPAI` Classe Java per anonymous complex type.
    `static class` | `PianoAssistenzialeResidenzialeResponse.ElencoMaterialiPAI` Classe Java per anonymous complex type.
    `static class` | `PianoAssistenzialeResidenzialeResponse.ElencoResponsabiliPAI` Classe Java per anonymous complex type.
    `static class` | `PianoAssistenzialeResidenzialeResponse.ElencoUlterioriInterventiPAI` Classe Java per anonymous complex type.
    `static class` | `PianoAssistenzialeResidenzialeResponse.ElencoValidataPAI` Classe Java per anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codiceProvenienza`
    `protected java.lang.String` | `codiceTipoPrestazione`
    `protected java.lang.String` | `dataAutorizzazione`
    `protected java.lang.String` | `dataFine`
    `protected java.lang.String` | `dataInizio`
    `protected java.lang.String` | `descrizioneCaseManager`
    `protected java.lang.String` | `descrizioneCPS`
    `protected java.lang.String` | `descrizioneNote`
    `protected PianoAssistenzialeResidenzialeResponse.ElencoDettaglioPAI` | `elencoDettaglioPAI`
    `protected PianoAssistenzialeResidenzialeResponse.ElencoMaterialiPAI` | `elencoMaterialiPAI`
    `protected PianoAssistenzialeResidenzialeResponse.ElencoResponsabiliPAI` | `elencoResponsabiliPAI`
    `protected PianoAssistenzialeResidenzialeResponse.ElencoUlterioriInterventiPAI` | `elencoUlterioriInterventiPAI`
    `protected PianoAssistenzialeResidenzialeResponse.ElencoValidataPAI` | `elencoValidataPAI`
    `protected java.lang.String` | `idPAI`
    `protected NucleoAutorizzatoResponse` | `nucleo`
    `protected java.lang.String` | `telefonoCaseManager`
    `protected java.lang.String` | `telefonoCPS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PianoAssistenzialeResidenzialeResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodiceProvenienza()` Recupera il valore della proprietà codiceProvenienza.
    `java.lang.String` | `getCodiceTipoPrestazione()` Recupera il valore della proprietà codiceTipoPrestazione.
    `java.lang.String` | `getDataAutorizzazione()` Recupera il valore della proprietà dataAutorizzazione.
    `java.lang.String` | `getDataFine()` Recupera il valore della proprietà dataFine.
    `java.lang.String` | `getDataInizio()` Recupera il valore della proprietà dataInizio.
    `java.lang.String` | `getDescrizioneCaseManager()` Recupera il valore della proprietà descrizioneCaseManager.
    `java.lang.String` | `getDescrizioneCPS()` Recupera il valore della proprietà descrizioneCPS.
    `java.lang.String` | `getDescrizioneNote()` Recupera il valore della proprietà descrizioneNote.
    `PianoAssistenzialeResidenzialeResponse.ElencoDettaglioPAI` | `getElencoDettaglioPAI()` Recupera il valore della proprietà elencoDettaglioPAI.
    `PianoAssistenzialeResidenzialeResponse.ElencoMaterialiPAI` | `getElencoMaterialiPAI()` Recupera il valore della proprietà elencoMaterialiPAI.
    `PianoAssistenzialeResidenzialeResponse.ElencoResponsabiliPAI` | `getElencoResponsabiliPAI()` Recupera il valore della proprietà elencoResponsabiliPAI.
    `PianoAssistenzialeResidenzialeResponse.ElencoUlterioriInterventiPAI` | `getElencoUlterioriInterventiPAI()` Recupera il valore della proprietà elencoUlterioriInterventiPAI.
    `PianoAssistenzialeResidenzialeResponse.ElencoValidataPAI` | `getElencoValidataPAI()` Recupera il valore della proprietà elencoValidataPAI.
    `java.lang.String` | `getIdPAI()` Recupera il valore della proprietà idPAI.
    `NucleoAutorizzatoResponse` | `getNucleo()` Recupera il valore della proprietà nucleo.
    `java.lang.String` | `getTelefonoCaseManager()` Recupera il valore della proprietà telefonoCaseManager.
    `java.lang.String` | `getTelefonoCPS()` Recupera il valore della proprietà telefonoCPS.
    `void` | `setCodiceProvenienza(java.lang.String value)` Imposta il valore della proprietà codiceProvenienza.
    `void` | `setCodiceTipoPrestazione(java.lang.String value)` Imposta il valore della proprietà codiceTipoPrestazione.
    `void` | `setDataAutorizzazione(java.lang.String value)` Imposta il valore della proprietà dataAutorizzazione.
    `void` | `setDataFine(java.lang.String value)` Imposta il valore della proprietà dataFine.
    `void` | `setDataInizio(java.lang.String value)` Imposta il valore della proprietà dataInizio.
    `void` | `setDescrizioneCaseManager(java.lang.String value)` Imposta il valore della proprietà descrizioneCaseManager.
    `void` | `setDescrizioneCPS(java.lang.String value)` Imposta il valore della proprietà descrizioneCPS.
    `void` | `setDescrizioneNote(java.lang.String value)` Imposta il valore della proprietà descrizioneNote.
    `void` | `setElencoDettaglioPAI(PianoAssistenzialeResidenzialeResponse.ElencoDettaglioPAI value)` Imposta il valore della proprietà elencoDettaglioPAI.
    `void` | `setElencoMaterialiPAI(PianoAssistenzialeResidenzialeResponse.ElencoMaterialiPAI value)` Imposta il valore della proprietà elencoMaterialiPAI.
    `void` | `setElencoResponsabiliPAI(PianoAssistenzialeResidenzialeResponse.ElencoResponsabiliPAI value)` Imposta il valore della proprietà elencoResponsabiliPAI.
    `void` | `setElencoUlterioriInterventiPAI(PianoAssistenzialeResidenzialeResponse.ElencoUlterioriInterventiPAI value)` Imposta il valore della proprietà elencoUlterioriInterventiPAI.
    `void` | `setElencoValidataPAI(PianoAssistenzialeResidenzialeResponse.ElencoValidataPAI value)` Imposta il valore della proprietà elencoValidataPAI.
    `void` | `setIdPAI(java.lang.String value)` Imposta il valore della proprietà idPAI.
    `void` | `setNucleo(NucleoAutorizzatoResponse value)` Imposta il valore della proprietà nucleo.
    `void` | `setTelefonoCaseManager(java.lang.String value)` Imposta il valore della proprietà telefonoCaseManager.
    `void` | `setTelefonoCPS(java.lang.String value)` Imposta il valore della proprietà telefonoCPS.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### idPAI

          protected java.lang.String idPAI

    - #### dataAutorizzazione

          protected java.lang.String dataAutorizzazione

    - #### descrizioneNote

          protected java.lang.String descrizioneNote

    - #### codiceProvenienza

          protected java.lang.String codiceProvenienza

    - #### telefonoCaseManager

          protected java.lang.String telefonoCaseManager

    - #### descrizioneCaseManager

          protected java.lang.String descrizioneCaseManager

    - #### descrizioneCPS

          protected java.lang.String descrizioneCPS

    - #### telefonoCPS

          protected java.lang.String telefonoCPS

    - #### dataInizio

          protected java.lang.String dataInizio

    - #### dataFine

          protected java.lang.String dataFine

    - #### codiceTipoPrestazione

          protected java.lang.String codiceTipoPrestazione

    - #### nucleo

          protected NucleoAutorizzatoResponse nucleo

    - #### elencoResponsabiliPAI

          protected PianoAssistenzialeResidenzialeResponse.ElencoResponsabiliPAI elencoResponsabiliPAI

    - #### elencoValidataPAI

          protected PianoAssistenzialeResidenzialeResponse.ElencoValidataPAI elencoValidataPAI

    - #### elencoDettaglioPAI

          protected PianoAssistenzialeResidenzialeResponse.ElencoDettaglioPAI elencoDettaglioPAI

    - #### elencoMaterialiPAI

          protected PianoAssistenzialeResidenzialeResponse.ElencoMaterialiPAI elencoMaterialiPAI

    - #### elencoUlterioriInterventiPAI

          protected PianoAssistenzialeResidenzialeResponse.ElencoUlterioriInterventiPAI elencoUlterioriInterventiPAI

  - ### Constructor Detail

    - #### PianoAssistenzialeResidenzialeResponse

          public PianoAssistenzialeResidenzialeResponse()

  - ### Method Detail

    - #### getIdPAI

          public java.lang.String getIdPAI()

      Recupera il valore della proprietà idPAI.
      Returns:
        possible object is `String`

    - #### setIdPAI

          public void setIdPAI(java.lang.String value)

      Imposta il valore della proprietà idPAI.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataAutorizzazione

          public java.lang.String getDataAutorizzazione()

      Recupera il valore della proprietà dataAutorizzazione.
      Returns:
        possible object is `String`

    - #### setDataAutorizzazione

          public void setDataAutorizzazione(java.lang.String value)

      Imposta il valore della proprietà dataAutorizzazione.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescrizioneNote

          public java.lang.String getDescrizioneNote()

      Recupera il valore della proprietà descrizioneNote.
      Returns:
        possible object is `String`

    - #### setDescrizioneNote

          public void setDescrizioneNote(java.lang.String value)

      Imposta il valore della proprietà descrizioneNote.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceProvenienza

          public java.lang.String getCodiceProvenienza()

      Recupera il valore della proprietà codiceProvenienza.
      Returns:
        possible object is `String`

    - #### setCodiceProvenienza

          public void setCodiceProvenienza(java.lang.String value)

      Imposta il valore della proprietà codiceProvenienza.
      Parameters:
        `value` - allowed object is `String`

    - #### getTelefonoCaseManager

          public java.lang.String getTelefonoCaseManager()

      Recupera il valore della proprietà telefonoCaseManager.
      Returns:
        possible object is `String`

    - #### setTelefonoCaseManager

          public void setTelefonoCaseManager(java.lang.String value)

      Imposta il valore della proprietà telefonoCaseManager.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescrizioneCaseManager

          public java.lang.String getDescrizioneCaseManager()

      Recupera il valore della proprietà descrizioneCaseManager.
      Returns:
        possible object is `String`

    - #### setDescrizioneCaseManager

          public void setDescrizioneCaseManager(java.lang.String value)

      Imposta il valore della proprietà descrizioneCaseManager.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescrizioneCPS

          public java.lang.String getDescrizioneCPS()

      Recupera il valore della proprietà descrizioneCPS.
      Returns:
        possible object is `String`

    - #### setDescrizioneCPS

          public void setDescrizioneCPS(java.lang.String value)

      Imposta il valore della proprietà descrizioneCPS.
      Parameters:
        `value` - allowed object is `String`

    - #### getTelefonoCPS

          public java.lang.String getTelefonoCPS()

      Recupera il valore della proprietà telefonoCPS.
      Returns:
        possible object is `String`

    - #### setTelefonoCPS

          public void setTelefonoCPS(java.lang.String value)

      Imposta il valore della proprietà telefonoCPS.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataInizio

          public java.lang.String getDataInizio()

      Recupera il valore della proprietà dataInizio.
      Returns:
        possible object is `String`

    - #### setDataInizio

          public void setDataInizio(java.lang.String value)

      Imposta il valore della proprietà dataInizio.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataFine

          public java.lang.String getDataFine()

      Recupera il valore della proprietà dataFine.
      Returns:
        possible object is `String`

    - #### setDataFine

          public void setDataFine(java.lang.String value)

      Imposta il valore della proprietà dataFine.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceTipoPrestazione

          public java.lang.String getCodiceTipoPrestazione()

      Recupera il valore della proprietà codiceTipoPrestazione.
      Returns:
        possible object is `String`

    - #### setCodiceTipoPrestazione

          public void setCodiceTipoPrestazione(java.lang.String value)

      Imposta il valore della proprietà codiceTipoPrestazione.
      Parameters:
        `value` - allowed object is `String`

    - #### getNucleo

          public NucleoAutorizzatoResponse getNucleo()

      Recupera il valore della proprietà nucleo.
      Returns:
        possible object is `NucleoAutorizzatoResponse`

    - #### setNucleo

          public void setNucleo(NucleoAutorizzatoResponse value)

      Imposta il valore della proprietà nucleo.
      Parameters:
        `value` - allowed object is `NucleoAutorizzatoResponse`

    - #### getElencoResponsabiliPAI

          public PianoAssistenzialeResidenzialeResponse.ElencoResponsabiliPAI getElencoResponsabiliPAI()

      Recupera il valore della proprietà elencoResponsabiliPAI.
      Returns:
        possible object is `PianoAssistenzialeResidenzialeResponse.ElencoResponsabiliPAI`

    - #### setElencoResponsabiliPAI

          public void setElencoResponsabiliPAI(PianoAssistenzialeResidenzialeResponse.ElencoResponsabiliPAI value)

      Imposta il valore della proprietà elencoResponsabiliPAI.
      Parameters:
        `value` - allowed object is `PianoAssistenzialeResidenzialeResponse.ElencoResponsabiliPAI`

    - #### getElencoValidataPAI

          public PianoAssistenzialeResidenzialeResponse.ElencoValidataPAI getElencoValidataPAI()

      Recupera il valore della proprietà elencoValidataPAI.
      Returns:
        possible object is `PianoAssistenzialeResidenzialeResponse.ElencoValidataPAI`

    - #### setElencoValidataPAI

          public void setElencoValidataPAI(PianoAssistenzialeResidenzialeResponse.ElencoValidataPAI value)

      Imposta il valore della proprietà elencoValidataPAI.
      Parameters:
        `value` - allowed object is `PianoAssistenzialeResidenzialeResponse.ElencoValidataPAI`

    - #### getElencoDettaglioPAI

          public PianoAssistenzialeResidenzialeResponse.ElencoDettaglioPAI getElencoDettaglioPAI()

      Recupera il valore della proprietà elencoDettaglioPAI.
      Returns:
        possible object is `PianoAssistenzialeResidenzialeResponse.ElencoDettaglioPAI`

    - #### setElencoDettaglioPAI

          public void setElencoDettaglioPAI(PianoAssistenzialeResidenzialeResponse.ElencoDettaglioPAI value)

      Imposta il valore della proprietà elencoDettaglioPAI.
      Parameters:
        `value` - allowed object is `PianoAssistenzialeResidenzialeResponse.ElencoDettaglioPAI`

    - #### getElencoMaterialiPAI

          public PianoAssistenzialeResidenzialeResponse.ElencoMaterialiPAI getElencoMaterialiPAI()

      Recupera il valore della proprietà elencoMaterialiPAI.
      Returns:
        possible object is `PianoAssistenzialeResidenzialeResponse.ElencoMaterialiPAI`

    - #### setElencoMaterialiPAI

          public void setElencoMaterialiPAI(PianoAssistenzialeResidenzialeResponse.ElencoMaterialiPAI value)

      Imposta il valore della proprietà elencoMaterialiPAI.
      Parameters:
        `value` - allowed object is `PianoAssistenzialeResidenzialeResponse.ElencoMaterialiPAI`

    - #### getElencoUlterioriInterventiPAI

          public PianoAssistenzialeResidenzialeResponse.ElencoUlterioriInterventiPAI getElencoUlterioriInterventiPAI()

      Recupera il valore della proprietà elencoUlterioriInterventiPAI.
      Returns:
        possible object is `PianoAssistenzialeResidenzialeResponse.ElencoUlterioriInterventiPAI`

    - #### setElencoUlterioriInterventiPAI

          public void setElencoUlterioriInterventiPAI(PianoAssistenzialeResidenzialeResponse.ElencoUlterioriInterventiPAI value)

      Imposta il valore della proprietà elencoUlterioriInterventiPAI.
      Parameters:
        `value` - allowed object is `PianoAssistenzialeResidenzialeResponse.ElencoUlterioriInterventiPAI`